2008-08-29 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: xorg-profile -> xorg-server

2008-03-17 Eric Sandall <sandalle@sourcemage.org>
	* Deprecated in favour of xorg-profile

2007-01-02 George Sherwood <george@beernabeer.com>
	* DETAILS: SECURITY_PATCH++. Bug 13115.
	* PRE_BUILD: Added patch.
	* x11r6.9.0-cidfonts.diff: Added for CVE-2006-3739/3740
 
2006-11-17 George Sherwood <george@beernabeer.com>
	* DETAILS: Update PATCHLEVEL=1
	* PRE_BUILD: Added patch for freetype-2.2.1
	* x11r6.9.0-freetype-2.2.1.patch: Added for freetype2

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT when linking #9163

2006-06-30 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* init.d/xfs, init.d/xfs.conf: added init script for the font
	  server

2006-06-30 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: made g++ required, #10637

2006-06-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide

2006-05-26 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* PROVIDES: added X11-UTILS and removed extra "provides"

2006-05-06 George Sherwood <george@beernabeer.com>
	* PRE_BUILD, x11r6.9.0-mitri.diff: patch for CVE-2006-1525, see
	  http://lists.freedesktop.org/archives/xorg/2006-May/015136.html
	* DETAILS: SECURITY_PATCH=2, Bug #11752.

2006-03-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, x11r6.9.0-geteuid.diff: patch for CVE-2006-0745, see
	  http://lists.freedesktop.org/archives/xorg/2006-March/013992.html
	* DETAILS: SECURITY_PATCH=1

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-01-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: #define BuildXterm in xorgsite.def so people without a
	  custom host.def also get it

2005-12-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: create utmp group (used for xterm), added missing '&&' so
	  cast fails if install fails, fixes bug #10291

2005-12-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFIGURE, PRE_BUILD: #define BuildXterm YES so xterm gets built

2005-12-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 6.9.0
	* CAN-2005-2495.patch, evdev-for-6.8.2-2.patch,
	  shared-Xau.patch, xorg-x11-6.8.2-xft-releasefile-crash.patch,
	  xpm-sec10.diff, BUILD, PRE_BUILD: removed obsolete patches
	* PREPARE, DETAILS, PRE_BUILD: removed external sis drivers, part of
	  xorg now
	* BUILD, DEPENDS, DETAILS: don't require gcc34 anymore
	* CONFIGURE: updated OFF_INPUT_DRIVERS and *_CARD_DRIVERS according to
	  http://ftp.x.org/pub/X11R6.9.0/doc/html/RELNOTES3.html
	* CONFIGURE, PREPARE: removed the MakeDllModules and DoLoadableServer
	  host.def switches, they're the default on linux now

2005-11-12 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Converted to unpack_file() (for GPG/Hash checks)
	  Use pushd/popd
	  Removed debugging echo and TABs
	  A little cleanup of the formatting

2005-11-04 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* PREPARE, CONFIGURE, DETAILS: Added hash instead of md5,
	  encapsulated SOURCE2 related stuff with a if, moved query to prepare

2005-11-04 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* PRE_BUILD, CONFIGURE, DETAILS: Added sis drivers, as per bug #9091

2005-09-20 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* PRE_BUILD, CAN-2005-2495.patch: Added from
	  http://www.freshports.org/x11-servers/xorg-server-snap/ security fix,
	  see CAN-2005-2495

2005-08-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, xorg-x11-6.8.2-xft-releasefile-crash.patch:
	  fix a crasher bug that affects gnome-font-viewer (control-center2)

2005-08-05 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Enable all video drivers and dri drivers (other than
	  developmental versions) by default (Bug #9389)
	  Enable all fonts by default (similar to Bug #9389)
	  Uncommented Extension and Library code for more options

2005-08-05 David Brown <dmlb2000@gmail.com>
	* volatiles: added every line for every file that nvidia removes

2005-06-15 David Brown <dmlb2000@excite.com>
	* volatiles: added headers that nvidia_headers moves to list

2005-05-20 Geoffrey Derber <gderber@sourcemage.org>
	* PRE_BUILD: added evdev patch
	* evdev-for-6.8.2-2.patch: added, allows usage of
	  evdev as a driver

2005-05-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, DEPENDS, DETAILS: use gcc 3.4 for the 6.8.2 release
	* volatiles: added libglx.so, libGLcore.so (nvidia_driver),
	  xfree86.xml (xfree86_xkb_xml) and fonts.cache-1 (fontconfig)

2005-05-15 David Brown <dmlb2000@excite.com>
	* BUILD: removed patch shared-Xau.patch appears to be already patched
	  at least for cvs

2005-05-11 Seth Woolley <seth@tautology.org>
	* BUILD: malleus lib64arum to fix x86-64/ppc lib64 installing
	  note: if nas is installed, recompile nas after this before later
	  building something that uses nas such as qt-11

2005-05-10 Seth Woolley <seth@tautology.org>
	* BUILD,shared-Xau.patch: patch to fix Xauth for x86-64/ppc

2005-05-09 Flavien Bridault <disk@sourcemage.org>
	* DEPENDS: libpng is not an optional dependency (bug #7577)

2005-04-30 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* PRE_BUILD: xpm-sec10.diff added (security fix)
		see http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0605

2005-04-07 Sergey Lipnevich <sergey@sourcemage.org>
	* ALL: complete the renaming and make all variable names uniform, X_*;
	* CONFIGURE,DEPENDS,PRE_BUILD: use standard optional dependency mechanism
	  for PAM configuration.

2005-04-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS,DEPENDS: Renamed LATEST to XORG_LATEST
	* CONFIGURE: Removed CVS query
	* PREPARE: Re-added CVS query so that DETAILS knows about XORG_LATEST

2005-04-06 Sergey Lipnevich <sergey@sourcemage.org>
	* CONFIGURE,PRE_BUILD: needed additional options to make the server
	  to load modules dynamically and use libc's loader for this;
	* PREPARE: move questions about latest source to CONFIGURE and delete;
	* DETAILS: reformat long lines;
	* ALL: use less specific LATEST variable instead of CVS.

2005-04-04 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD,PRE_BUILD: do *not* remove PIC switches from compiler flags;
	* CONFIGURE: define HaveLib64 as 'NO' on AMD64.

2005-03-17 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depend on a POSTSCRIPT-INTERPRETER now. :)
	* PRE_BUILD: Modify config/cf/site.cf to not need ghostscript if one
	  isn't installed
	  Commenting out Arwed's /usr/lib/libGL work as we should be able to use
	  volatiles for this (though that may not be the correct approach either)
	  Added WIP comment to Arwed's libGL fix
	* volatiles: Added to ignore /usr/X11R6/lib/modules/extensions/libGLcore.a
	  and /usr/X11R6/lib/modules/extensions/libglx.a (for nvidia_driver)

2005-02-14 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: don't let X install /usr/lib/libGL, should make X and
	  nvidia_driver coexist without overwriting each others files
	* WIP: not sure what spells are broken by this, but I bet there are some

2005-02-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 6.8.2, new WEB_SITE, new SOURCE_URL

2005-01-23 Arjan Bouter <abouter@sourcemage.org>
	* lowercase linux-pam

2005-01-02 Eric Sandall <sandalle@sourcemage.org>
	* HISTORY: Remove xfree86 info after branch from xfree86 to xorg

2004-12-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: changed SOURCE_URL to
	  ftp://ftp.x.org/pub/${XVERSION}/src-single/$SOURCE,
	  changed MD5[0], the only changes are references to the X11 version
	  number which were wrong (6.8/6.8.0) in the tarball we previously used

2004-12-15 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Re-fix Andrew's keyboard fix and re-apply his HISTORY info
	  I must have had a stale version, though Perforce should have caught this
	  Thanks for catching it Ladislav. :)

2004-12-14 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS,INSTALL: Replaced "==" with "="
	* CONFIGURE: Use spell_ok instead of spell_installed
	  Disable extensions that need g++ if it's not installed
	* DEPENDS: Added optional dependency on g++
	  Replaced "==" with "="
	* PRE_BUILD: Use spell_ok instead of spell_installed
	  Replaced "==" with "="

2004-12-13 Andrew Stitt <astitt@sourcemage.org>
	* CONFIGURE: Fix bug where xorg is built without keyboard support
	  unless the user explicitly uses the input menu.

2004-10-13 Arjan Bouter <abouter@sourcemage.org>
	* added desktop files

2004-09-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFIGURE, PRE_BUILD: use XDEBUG instead of DEBUG to not confuse
	  sorcery
	* DETAILS: security update to 6.8.1, removed SOURCE2 - SOURCE7, now
	  provided as a single tarball
	* PRE_BUILD: only need to unpack $SOURCE now

2004-09-13 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Comment out Extension and Library selection (for Arwed ;))

2004-09-12 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE,PRE_BUILD,DEPENDS: Explicit USB support breaks X.Org

2004-09-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 6.8.0
	  Shortened SHORT
	  Changed long description to that from X.Org
	  Added BUILD_API=2
	* DEPENDS: Depends on ncurses and a POSTCRIPT-INTERPRETER
	  Optionally depends on groff, libpng, and libusb
	* PRE_BUILD: Copy config/cf/xorgsite.def to config/cf/host.def
	  Modify site.def appropriate to options and system state
	* PRE_BUILD,POST_INSTALL,BUILD: Let's not use the shadow .bld directory
	* POST_INSTALL,FINAL: POST_INSTALL renamed to FINAL
	* PRE_BUILD,BUILD: Moved modification of host.def to PRE_BUILD
	  Moved source code modification to PRE_BUILD
	* CONFIGURE,DEPENDS,PRE_BUILD: Only use PAM if the user wants, not just
	  if it's installed
	* CONFIGURE: Added options for DEBUG and IPv6
	  Added option to install Japanese documentation
	  Added dialogs for development X drivers and development DRI drivers
	  Alphabetized OFF_CARD_DRIVERS and OFF_DRI
	  Added dummy, nsc, sunleo, suncg6, suncg3, suncg14, suntcx, sunbw2,
	  and sunffb to OFF_CARD_DRIVERS
	  Removed i830, mach64, s3v, and trident from OFF_DRI
	  Added i915 to OFF_DRI
	  Added menus and options for Extensions and Libraries
	  Renamed BuildXF86DRM to BuildXF86OldDRMCompat in YES_MISC_OPTIONS
	  Added UseRgbTxt to YES_MISC_OPTIONS
	  Moved XnestServer from NO_MISC_OPTIONS to YES_MISC_OPTIONS
	  Moved BuildGlxExt from YES_MISC_OPTIONS to YES_EXTENSIONS
	  Moved BuildGLULibrary and BuildOSMesaLib from YES_MISC_OPTIONS to
	  YES_LIBRARIES
	  Added BuildXF86BigfontExt, BuildCID, and BuildFreeType to
	  YES_FONT_OPTIONS
	  Added BuildSPeedo and BuildType1 to NO_FONT_OPTIONS
	  Moved BuildSpeedoFonts from YES_FONT_OPTIONS to NO_FONT_OPTIONS
	  Moved BUILDCIDFonts and BuildCyrillicFonts from NO_FONT_OPTIONS to
	  YES_FONT_OPTIONS
	  Added query for USB mouse support...not sure why they default to "NO"
	* BUILD: Message should set the color
	  General cleanup
	* PROVIDES: Provides XDAMAGE (for xcompmgr)

2004-09-05 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Fails if explicitly set to use PIC
	* HISTORY: Formatted to Guru Handbook

2004-07-14 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added dependency on CVS for cvs version
	* BUILD, DETAILS, PRE_BUILD, PREPARE: uses config_query for the cvs
	  question now

2004-06-17 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: fix the xcursor.pc file

2004-06-16 Sergey Lipnevich <sergey@sourcemage.org>
	* PRE_BUILD: actually unpack the source if used with CVS;
	  fix "&&" problem;
	  rise the size allocated for compilation if tmpfs is used.
	* BUILD: minor improvements.

2004-06-06 Unet <audio@sourcemage.org>
	* DETAILS: Added cvs support
	* PREPARE: Added
	* BUILD, PRE_BUILD: Modified for cvs support

2004-04-27 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, XFree86-kernel_headers.patch: removed patch

2004-04-24 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* BUILD: added patch for glibc-kernel-headers 2.5.0 compliance
	* XFree86-kernel_headers.patch: added

2004-04-13 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Changed the display of "XFree86" to "X.org"

2004-04-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* ALL:
	  copied the xfree86 spell to xorg, changed the spell to install the
	  X.org X11R6.7.0 release

